package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class CondizioniCtrlBonifici.
 * @see sicura.entities.CondizioniCtrlBonifici
 * @author Hibernate Tools
 */
@Stateless
public class CondizioniCtrlBonificiHome {

	private static final Log log = LogFactory.getLog(CondizioniCtrlBonificiHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(CondizioniCtrlBonifici transientInstance) {
		log.debug("persisting CondizioniCtrlBonifici instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(CondizioniCtrlBonifici persistentInstance) {
		log.debug("removing CondizioniCtrlBonifici instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public CondizioniCtrlBonifici merge(CondizioniCtrlBonifici detachedInstance) {
		log.debug("merging CondizioniCtrlBonifici instance");
		try {
			CondizioniCtrlBonifici result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public CondizioniCtrlBonifici findById(CondizioniCtrlBonificiId id) {
		log.debug("getting CondizioniCtrlBonifici instance with id: " + id);
		try {
			CondizioniCtrlBonifici instance = entityManager.find(CondizioniCtrlBonifici.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
